## pam-u2f 1.0.1

=== debian/changelog ===
pam-u2f (1.0.1-1) unstable; urgency=medium

  [ Alessio Di Mauro ]
  * New upstream release.

  [ Simon Josefsson ]
  * Update README.source.
  * Update upstream-signing-key.pgp.
  * Add gbp.conf.

 -- Alessio Di Mauro <alessio@yubico.com>  Thu, 18 Jun 2015 10:35:12 +0200

pam-u2f (1.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Alessio Di Mauro <alessio@yubico.com>  Wed, 17 Jun 2015 14:19:14 +0200

pam-u2f (0.0.1-1) unstable; urgency=low

  * Initial release. (Closes: #776091)

 -- Alessio Di Mauro <alessio@yubico.com>  Mon, 26 Jan 2015 13:57:25 +0100
