## pam-u2f 1.0.3

=== debian/changelog ===
pam-u2f (1.0.3-1) unstable; urgency=medium

  * New upstream release.

 -- Alessio Di Mauro <alessio@yubico.com>  Mon, 02 Nov 2015 15:47:25 +0100

pam-u2f (1.0.2-1) unstable; urgency=medium

  [ Alessio Di Mauro ]
  * New upstream version

  [ Simon Josefsson ]
  * Update upstream-signing-key.pgp.

 -- Alessio Di Mauro <alessio@yubico.com>  Tue, 06 Oct 2015 14:34:08 +0200
