=== debian/control ===
--- 
+++ 
@@ -18,6 +18,7 @@
 Package: libpam-u2f
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
+Recommends: pamu2fcfg
 Description: universal 2nd factor (U2F) PAM module
  Universal 2nd Factor (U2F) is an authentication mechanism that strengthen
  other authentications, and through this PAM module it can be used to
