## pam-u2f 1.0.4

=== debian/changelog ===
pam-u2f (1.0.4-2) unstable; urgency=medium

  * debian/control: Add myself as uploader
  * debian/control: Move the packaging repo to Alioth

 -- Nicolas Braud-Santoni <nicolas@braud-santoni.eu>  Fri, 23 Sep 2016 20:38:06 +0200

pam-u2f (1.0.4-1) unstable; urgency=medium

  * Acknowledge NMU, thanks Nicolas.

 -- Simon Josefsson <simon@josefsson.org>  Wed, 10 Aug 2016 16:08:42 +0200

pam-u2f (1.0.4-0.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix the generated binaries on Debian/kFreeBSD
  * Drop spurious dependency on autotools-dev

 -- Nicolas Braud-Santoni <nicolas@braud-santoni.eu>  Tue, 02 Aug 2016 15:48:58 +0200

pam-u2f (1.0.4-0.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Set Breaks and Replaces for the moved manpage.

 -- Nicolas Braud-Santoni <nicolas@braud-santoni.eu>  Thu, 14 Jul 2016 21:53:52 +0200

pam-u2f (1.0.4-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream version.
    Fixes possible permission escalation when using XDG_CONFIG_HOME.
  * Use HTTPS for Vcs-Git.
  * Use build-time hardening.
  * Bump Standards-Version to 3.9.8.
    No change required.
  * Put the pam_u2f(8) manpage in the libpam_u2f package.

 -- Nicolas Braud-Santoni <nicolas@braud-santoni.eu>  Wed, 06 Jul 2016 13:25:51 +0200
