=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --parallel --with autoreconf --builddirectory=build

override_dh_auto_configure:
	dh_auto_configure -- \
		--disable-silent-rules \
		--with-pam-dir=$(DESTDIR)/lib/$(DEB_HOST_MULTIARCH)/security
