## pam-u2f 1.0.7

=== debian/changelog ===
pam-u2f (1.0.7-1+deb10u1) buster; urgency=high

  * Backport multiple security fixes
     + Fix insecure debug file handling CVE-2019-12209. (Closes: #930021)
     + Fix debug file descriptor leak CVE-2019-12210. (Closes: #930023)
     + Fix a non-critical buffer out-of-bounds access. (Closes: #930047)

  * Backport a reliability fix
    pam-u2f could previously segfault following a failure to allocate a buffer.

 -- Nicolas Braud-Santoni <nicoo@debian.org>  Tue, 13 Aug 2019 01:06:31 +0200

pam-u2f (1.0.7-1) unstable; urgency=high

  * New upstream version 1.0.7 (2018-05-15)
    Closes: #898519
  * Update & complete debian/copyright
  * Move the packaging repository to salsa.d.o
  * Use the tracker.debian.org email address for the maintainers.
  * Switch to debhelper 11

 -- Nicolas Braud-Santoni <nicolas@braud-santoni.eu>  Tue, 29 May 2018 14:33:06 +0200

pam-u2f (1.0.6-1) unstable; urgency=medium

  * New upstream version (2018-04-18)
    - Remove upstreamed patch

  * Bump Standards-Version to 4.1.4
    - debian/copyright: Use HTTPS Format URI

  * Update upstream's keyring
    - Move it to debian/upstream
    - Include a script debian/upstream/signing-key.sh that generates it

 -- Nicolas Braud-Santoni <nicolas@braud-santoni.eu>  Mon, 30 Apr 2018 13:35:48 +0200
