## pam-u2f 1.0.8

=== debian/changelog ===
pam-u2f (1.0.8-1) unstable; urgency=high (security)

  [ Nicolas Braud-Santoni ]
  * New upstream version 1.0.8 (2019-06-04)
    + Fix insecure debug file handling CVE-2019-12209. (Closes: #930021)
    + Fix debug file descriptor leak CVE-2019-12210. (Closes: #930023)
    + Fix a non-critical buffer out-of-bounds access.

  * Comply with Debian policy v4.4.0
    + debian/control: Set Rules-Requires-Root to no
    + debian/rules:   Install upstream's changelog

  * debian/control: Update my email address
  * debian/gbp.conf: Move the packaging ranch to debian/sid

  [ Simon Josefsson ]
  * Drop myself from Uploader's.

 -- Nicolas Braud-Santoni <nicoo@debian.org>  Sat, 20 Jul 2019 13:01:18 +0200
