=== debian/control ===
--- 
+++ 
@@ -1,20 +1,21 @@
 Source: pam-u2f
-Maintainer: Debian Authentication Maintainers <pkg-auth-maintainers@lists.alioth.debian.org>
-Uploaders: Alessio Di Mauro <alessio@yubico.com>,
-	   Simon Josefsson <simon@josefsson.org>,
-	   Nicolas Braud-Santoni <nicolas@braud-santoni.eu>
+Maintainer: Debian Authentication Maintainers <team+auth@tracker.debian.org>
+Uploaders:
+	Alessio Di Mauro <alessio@yubico.com>,
+	Nicolas Braud-Santoni <nicoo@debian.org>
 Section: admin
 Priority: optional
-Build-Depends: debhelper (>= 9),
-	dh-autoreconf,
+Build-Depends:
+	debhelper (>= 11),
 	pkg-config,
 	libpam0g-dev,
-        libu2f-host-dev,
-        libu2f-server-dev
-Standards-Version: 3.9.8
+	libu2f-host-dev,
+	libu2f-server-dev
+Standards-Version: 4.4.0
 Homepage: https://developers.yubico.com/pam-u2f/
-Vcs-Browser: https://anonscm.debian.org/git/pkg-auth/pam-u2f.git/
-Vcs-Git: https://anonscm.debian.org/git/pkg-auth/pam-u2f.git
+Vcs-Browser: https://salsa.debian.org/auth-team/pam-u2f
+Vcs-Git: https://salsa.debian.org/auth-team/pam-u2f.git
+Rules-Requires-Root: no
 
 Package: libpam-u2f
 Architecture: any
