=== debian/rules ===
--- 
+++ 
@@ -9,3 +9,6 @@
 	dh_auto_configure -- \
 		--disable-silent-rules \
 		--with-pam-dir=$(DESTDIR)/lib/$(DEB_HOST_MULTIARCH)/security
+
+override_dh_installchangelogs:
+	dh_installchangelogs NEWS
