## pam-u2f 1.1.0

=== debian/changelog ===
pam-u2f (1.1.0-1.1+deb12u1build0.22.04.1) jammy-security; urgency=medium

  * fake sync from Debian

 -- John Breton <john.breton@canonical.com>  Wed, 27 Aug 2025 09:44:48 -0400

pam-u2f (1.1.0-1.1+deb12u1) bookworm-security; urgency=high

  * Start to backport the fixes for CVE-2025-23013 to debian stable
    (CVE-2025-23013)
  * Refactored the do_not_return_PAM_IGNORE patch for bookworm
    (CVE-2025-23013)

 -- Patrick Winnertz <winnie@debian.org>  Thu, 23 Jan 2025 17:04:59 +0100

pam-u2f (1.1.0-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Handle converse() returning NULL (CVE-2021-31924) (Closes: #987545)

 -- Salvatore Bonaccorso <carnil@debian.org>  Sat, 05 Jun 2021 15:04:24 +0200

pam-u2f (1.1.0-1) unstable; urgency=low

  * New upstream version 1.1.0 (2020-09-17)
    + Add support for FIDO2
      Switch from libu2f-host+libu2f-server to libfido2
    + Add support for User Verification
    + Add support for PIN Verification
    + Add support for Resident Credentials
    + Add support for SSH credential format

  * Update nicoo's name & address
  * libpam-u2f: Override Lintian warning about the pam_u2f(8) manpage.
    See Lintian bug #973604
  * d/copyright:
    + Set Upstream-Contact to Yubico's OSS maintainers role
    + Update package authorship metadata

  * Switch to debhelper 12.
    Replace the deprecated debian/compat file with a Build-Depends on
    debhelper-compat
  * d/upstream: Update signing keyring
  * d/control: Declare compliance with policy v4.5.0.
    No change required
  * Drop obsolete README.source.
    The package should explain how to explain cowbuilder, or refer to the
    packaging repo by an URL that has been obsolete for years.
  * d/gbp.conf: Sign tags.
    Unsure why I disabled it.
  * d/rules: No need to pass --builddirectory to dh
  * d/watch: Update to uscan v4, tidy up the syntax

 -- nicoo <nicoo@debian.org>  Mon, 02 Nov 2020 13:49:23 +0100
