=== debian/control ===
--- 
+++ 
@@ -2,16 +2,16 @@
 Maintainer: Debian Authentication Maintainers <team+auth@tracker.debian.org>
 Uploaders:
 	Alessio Di Mauro <alessio@yubico.com>,
-	Nicolas Braud-Santoni <nicoo@debian.org>
+	nicoo <nicoo@debian.org>
 Section: admin
 Priority: optional
 Build-Depends:
-	debhelper (>= 11),
+	debhelper-compat (= 12),
 	pkg-config,
+  libfido2-dev,
 	libpam0g-dev,
-	libu2f-host-dev,
-	libu2f-server-dev
-Standards-Version: 4.4.0
+  libssl-dev
+Standards-Version: 4.5.0
 Homepage: https://developers.yubico.com/pam-u2f/
 Vcs-Browser: https://salsa.debian.org/auth-team/pam-u2f
 Vcs-Git: https://salsa.debian.org/auth-team/pam-u2f.git
