=== debian/control ===
--- 
+++ 
@@ -1,17 +1,15 @@
 Source: pam-u2f
 Maintainer: Debian Authentication Maintainers <team+auth@tracker.debian.org>
-Uploaders:
-	Alessio Di Mauro <alessio@yubico.com>,
-	nicoo <nicoo@debian.org>
+Uploaders: Patrick Winnertz <winnie@debian.org>
 Section: admin
 Priority: optional
 Build-Depends:
-	debhelper-compat (= 12),
-	pkg-config,
+	debhelper-compat (= 13),
+	pkgconf,
   libfido2-dev,
 	libpam0g-dev,
   libssl-dev
-Standards-Version: 4.5.0
+Standards-Version: 4.6.2
 Homepage: https://developers.yubico.com/pam-u2f/
 Vcs-Browser: https://salsa.debian.org/auth-team/pam-u2f
 Vcs-Git: https://salsa.debian.org/auth-team/pam-u2f.git
