## pam-u2f 1.3.1

=== debian/changelog ===
pam-u2f (1.3.1-1) unstable; urgency=medium

  * Team upload.

  [ Debian Janitor ]
  * Set upstream metadata fields.

  [ Simon Josefsson ]
  * New upstream version 1.3.1
  * Bump d/* copyright years, adding myself.
  * Use Standards-Version 4.7.0.
  * Run wrap-and-sort -satbk.
  * Add d/salsa-ci.yml.

 -- Simon Josefsson <simon@josefsson.org>  Tue, 14 Jan 2025 18:20:07 +0100
