## pam-u2f 1.3.2

=== debian/changelog ===
pam-u2f (1.3.2-1) unstable; urgency=medium

  * New upstream version 1.3.2

 -- Patrick Winnertz <winnie@debian.org>  Sat, 18 Jan 2025 23:32:12 +0100
