=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
		--disable-silent-rules \
		--with-pam-dir=/usr/lib/$(DEB_HOST_MULTIARCH)/security

override_dh_installchangelogs:
	dh_installchangelogs NEWS
