## pam-u2f 1.4.0

=== debian/changelog ===
pam-u2f (1.4.0-3) unstable; urgency=medium

  * Team upload.
  * Run wrap-and-sort -sabtk.
  * Fix Vcs-* URLs.
  * Mark libpam-u2f as Multi-Arch: same.

 -- Simon Josefsson <simon@josefsson.org>  Fri, 29 Aug 2025 20:43:34 +0200

pam-u2f (1.4.0-2) unstable; urgency=medium

  * Move package to pkg-security Team
  * Removed spelling error in previous changelog entry

 -- Patrick Winnertz <winnie@debian.org>  Thu, 28 Aug 2025 22:02:15 +0200

pam-u2f (1.4.0-1) unstable; urgency=medium

  * Added Signing Key from Giovanni Simoni
    F475 9282 2522 9F58 4606 40EA D917 77C1 7553 3EE5
  * New upstream version 1.4.0
  * Updated standards version - no changes needed

 -- Patrick Winnertz <winnie@debian.org>  Thu, 24 Apr 2025 21:20:44 +0200
