=== debian/control ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Source: pam-u2f
-Maintainer: Debian Authentication Maintainers <team+auth@tracker.debian.org>
+Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org>
 Uploaders:
  Patrick Winnertz <winnie@debian.org>,
 Section: admin
@@ -10,14 +10,15 @@
  libpam0g-dev,
  libssl-dev,
  pkgconf,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://developers.yubico.com/pam-u2f/
-Vcs-Browser: https://salsa.debian.org/auth-team/pam-u2f
-Vcs-Git: https://salsa.debian.org/auth-team/pam-u2f.git
+Vcs-Browser: https://salsa.debian.org/debian/pam-u2f
+Vcs-Git: https://salsa.debian.org/debian/pam-u2f.git
 Rules-Requires-Root: no
 
 Package: libpam-u2f
 Architecture: any
+Multi-Arch: same
 Breaks:
  pamu2fcfg (<< 1.0.4-0.2),
 Replaces:
